%global momorel 2

Name:           perl-Catalyst-Plugin-Session-State-URI
Version:        0.06
Release:        %{momorel}m
Summary:        Saves session IDs by rewriting URIs delivered to the client, and extracting the session ID from requested URIs
License:        "Unknown"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Session-State-URI/
Source0:        http://www.cpan.org/authors/id/N/NU/NUFFIN/Catalyst-Plugin-Session-State-URI-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
BuildRequires:  perl(Catalyst::Plugin::Session) >= 0.06
BuildRequires:  perl(HTML::TokeParser::Simple)
BuildRequires:  perl(MIME::Types)
BuildRequires:  perl(Test::MockObject) >= 1.01
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::QueryParam)
Requires:       perl(Catalyst::Plugin::Session) >= 0.06
Requires:       perl(HTML::TokeParser::Simple)
Requires:       perl(MIME::Types)
Requires:       perl(Test::MockObject) >= 1.01
Requires:       perl(URI)
Requires:       perl(URI::QueryParam)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
In order for Catalyst::Plugin::Session to work the session ID needs to
be stored on the client, and the session data needs to be stored on
the server.

%prep
%setup -q -n Catalyst-Plugin-Session-State-URI-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=site
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_sitelib}/*/*/*/*/*
%{_mandir}/man3/*

%changelog
* Sat Oct 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.06-2m)
- delete dupclicate directory

* Mon Oct 02 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.06-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
